<!DOCTYPE html>
<html>

<head>
    
         <meta charset="utf-8" />
        <link rel="stylesheet" type="text/css" href="calculadora.css" />

        <title>Calculadora</title>
    
</head>

<body>
    <div class="container">
        <fieldset> 
       <h1>Calculadora</h1>
   
<div>
    <label for="primeiroNumero">Primeiro numero</label>
    <input type="text" id="primeiroNumero" placeholder="insira o primeiro número"/>

</div>

<div>
    <label for="segundoNumero">Segundo numero</label>
    <input type="text" id="segundoNumero" placeholder="insira o segundo número"/>

</div>
<div>




<select name="Operacao" id="sinal" >
<option value="+">Somar</option>
<option value="-">Subtrair</option>
<option value="*">Multiplicar</option>
<option value="/">Dividir</option>
</select>



<button onclick="executarCalculo(operacao_sinal)">Calcular</button>
</div>   

<div>
<label class=label for="resultado">Resultado </label>
<input type="text" id="resultado">
</div>
</fieldset>

<script>

var operacao_sinal = document.getElementById("sinal").value;// Definindo a variavel antes do calculo

function executarCalculo(){
  
var operacao_sinal = document.getElementById("sinal").value;//Atribuindo informação na váriavel depois da primeira operação
console.log(operacao_sinal);
var n1 = +document.getElementById('primeiroNumero').value;
var n2 = +document.getElementById('segundoNumero').value;

var resultadoCalculo;
if (operacao_sinal == '+'){
resultadoCalculo = n1 + n2;
} else if (operacao_sinal =='-'){
resultadoCalculo = n1 - n2;
} else if (operacao_sinal =='*') {
resultadoCalculo = n1 * n2;
} else if(operacao_sinal == '/') {
resultadoCalculo = n1 / n2;
}
resultado.value = resultadoCalculo;

}

</script>

</body>

</html>